After video recording, record/take photo button becomes disabled

Bug #587853 reported by Vish on 2010-05-31
26
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Cheese
Fix Released
Medium
cheese (Ubuntu)
Low
Unassigned
Lucid
Low
Unassigned

Bug Description

Binary package hint: cheese

After recording a video , the Start Recording/ Take a Photo button becomes insensitive[disabled]

Steps to reproduce:
1: Record a video
2: Stop recording

Now notice the record/take photo button is not available for recording/ taking photos again.

The video recording has no problems though.

Toggling the photo/video/multiple photos buttons doesnt not help. The buttons just remain disabled

*** Workaround: ***
1 - Click the "Effects" button and return back to the video. [no need to select any effect, Simple toggling of the effect button]
 : Now the option to record/take photos is available.

2 - Use Spacebar to capture video/pictures though, even when the button is disabled.

3 - Restart cheese

Every time a video recording is done , the same workaround has to be repeated.

No such problems with taking photos.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: cheese 2.30.1-0ubuntu1
Uname: Linux 2.6.34-999-generic i686
Architecture: i386
Date: Mon May 31 16:11:10 2010
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20091209)
MachineType: Acer, inc. Aspire 5670
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.34-999-generic root=UUID=3e905623-5a65-47ef-a1d0-d8fba363d773 ro quiet splash
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: cheese
dmi.bios.date: 01/12/07
dmi.bios.vendor: Acer
dmi.bios.version: v1.3239
dmi.board.name: Bodensee
dmi.board.vendor: Acer, Inc.
dmi.board.version: Not Applicable
dmi.chassis.type: 1
dmi.chassis.vendor: Acer, Inc.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAcer:bvrv1.3239:bd01/12/07:svnAcer,inc.:pnAspire5670:pvrNotApplicable:rvnAcer,Inc.:rnBodensee:rvrNotApplicable:cvnAcer,Inc.:ct1:cvrN/A:
dmi.product.name: Aspire 5670
dmi.product.version: Not Applicable
dmi.sys.vendor: Acer, inc.

Vish (vish) wrote :
Vish (vish) on 2010-05-31
summary: - After video recodring cheese , record/take photo button becomes
- insensitive
+ After video recording, record/take photo button becomes insensitive
Changed in cheese (Ubuntu):
importance: Undecided → Low
summary: - After video recording, record/take photo button becomes insensitive
+ After video recording, record/take photo button becomes disabled
Vish (vish) wrote :

This bug has been reported to the developers of the software at: https://bugzilla.gnome.org/show_bug.cgi?id=620637

Changed in cheese (Ubuntu):
status: New → Triaged
Changed in cheese:
status: Unknown → New
Vish (vish) on 2010-06-19
description: updated
Changed in cheese:
status: New → Fix Released
Vish (vish) wrote :

This has now been fixed upstream.

Changed in cheese (Ubuntu):
status: Triaged → Fix Committed
UndiFineD (k.dejong) wrote :
Download full text (4.7 KiB)

Ok I have tried to upgrade the new packages.
it looks like a lot of the dependencies were not installed
normally I use synaptic or apt-get
this time I pre-downloaded and installed from within mc.

seems like I need: libgdk-pixbuf2.0-0 libgtk2.0-dev libgstreamer0.10-dev libcanberra-gtk-dev

cheese:
----------
/usr/share/mc/extfs/deb run /home/undifined/Downloads/deb/cheese_2.30.1-1ubuntu2_amd64.deb INSTALL
Installing /home/undifined/Downloads/deb/cheese_2.30.1-1ubuntu2_amd64.deb
Selecting previously deselected package cheese.
(Reading database ... 322058 files and directories currently installed.)
Unpacking cheese (from .../cheese_2.30.1-1ubuntu2_amd64.deb) ...
dpkg: dependency problems prevent configuration of cheese:
 cheese depends on libgdk-pixbuf2.0-0 (>= 2.21.6); however:
  Package libgdk-pixbuf2.0-0 is not installed.
dpkg: error processing cheese (--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db ...
Processing triggers for desktop-file-utils ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_GB.utf8.cache...
Processing triggers for python-support ...
Compiling /usr/lib/pymodules/python2.6/config_manager/implementations/svn_vcs.py ...
SyntaxError: ('invalid syntax', ('/usr/lib/pymodules/python2.6/config_manager/implementations/svn_vcs.py', 49, 7, ' def get_test_repo(self):\n'))

Errors were encountered while processing:
 cheese

cheese-common:
----------------------
/usr/share/mc/extfs/deb run /home/undifined/Downloads/deb/cheese-common_2.30.1-1ubuntu2_all.deb INSTALL
Installing /home/undifined/Downloads/deb/cheese-common_2.30.1-1ubuntu2_all.deb
dpkg: considering removing cheese in favour of cheese-common ...
dpkg: yes, will remove cheese in favour of cheese-common.
(Reading database ... 322068 files and directories currently installed.)
Preparing to replace cheese-common 2.30.1-0ubuntu1 (using .../cheese-common_2.30.1-1ubuntu2_all.deb) ...
Unpacking replacement cheese-common ...
Setting up cheese-common (2.30.1-1ubuntu2) ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for gconf2 ...
WARNING: Failed to parse default value `[????????? ???????;gnome-appearance-properties.desktop,????????? ???????????? ???????????;gnome-default-applications.desktop,?????????? ??????????;system-config-printer.desktop] ' for schema (/schemas/apps/control-center/cc_actions_list)
Processing triggers for desktop-file-utils ...
Processing triggers for python-gmenu ...
Rebuilding /usr/share/applications/desktop.en_GB.utf8.cache...
Processing triggers for man-db ...
Processing triggers for python-support ...
Compiling /usr/lib/pymodules/python2.6/config_manager/implementations/svn_vcs.py ...
SyntaxError: ('invalid syntax', ('/usr/lib/pymodules/python2.6/config_manager/implementations/svn_vcs.py', 49, 7, ' def get_test_repo(self):\n'))

libcheese-gtk-dev:
-----------------------
/usr/share/mc/extfs/deb run /home/undifined/Downloads/deb/libcheese-gtk-dev_2.30.1-1ubuntu2_amd64.deb INSTALL
Installing /home/undifined/Downloads/deb/libcheese-gtk-dev_2.30.1-1ubuntu2_amd64.deb
Selecting previously deselected package libcheese-gtk-dev.
(Reading database ... 322068...

Read more...

UndiFineD (k.dejong) wrote :

pff more nonsense

# apt-get -f install libgtk2.0-dev libgstreamer0.10-dev libcanberra-gtk-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies.
  cheese: Depends: libgdk-pixbuf2.0-0 (>= 2.21.6) but it is not installable
  libcanberra-gtk-dev: Depends: libcanberra-dev (= 0.22-1ubuntu2) but it is not going to be installed
  libcheese-gtk18: Depends: libgdk-pixbuf2.0-0 (>= 2.21.6) but it is not installable
  libgstreamer0.10-dev: Depends: libglib2.0-dev but it is not going to be installed
                        Depends: libxml2-dev but it is not going to be installed
  libgtk2.0-dev: Depends: libgtk2.0-0 (= 2.20.1-0ubuntu2) but 2.20.1-0ubuntu3~10.04~ricotz2 is to be installed
                 Depends: libglib2.0-dev (>= 2.21.3) but it is not going to be installed
                 Depends: libpango1.0-dev (>= 1.20) but it is not going to be installed
                 Depends: libatk1.0-dev (>= 1.13.0) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

so I have to scavenge launchpad for these packages

UndiFineD (k.dejong) wrote :

no sorry I give up
I tried to meet dependencies
but this goes on and on and on

Vish (vish) wrote :

UndiFineD , It has not yet been uploaded for Ubuntu, bug has been fixed upstream only, we need to get their latest release for this into Ubuntu.

For now , use one of the workarounds mentioned in the bug description.

UndiFineD (k.dejong) wrote :

that is unfortunate, as the mentioned workaround does not work for me
actually my cheese just hangs when I click the effects button.

Vish (vish) wrote :

This has now been fixed in update :

cheese (2.31.90-0ubuntu1) maverick; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden> Tue, 17 Aug 2010 16:21:32 +0200

Changed in cheese (Ubuntu):
status: Fix Committed → Fix Released
David Robert Lewis (afrodeity) wrote :

GLib-GObject-CRITICAL **: g_signal_emit_valist: assertion `signal_id > 0' failed

Any possibility of the fix making its way back into the LTS, there quite a few users affected by this problem above.

Vish (vish) wrote :

David Robert Lewis , Yes, this is probably a good bug to fix in an LTS too.
I'll try to find the upstream commit that fixed this bug and try to get a SRU for Lucid.

tags: added: regression-release
Vish (vish) wrote :

http://git.gnome.org/browse/cheese/commit/?id=19c905b4e078ed5a73769005c8963a9bcd7a816e

Attaching the Patch from upstream which fixes the issue , Nominating for Lucid and subscribing the SRU team

Didier Roche (didrocks) wrote :

pushed in lucid-proposed:

cheese (2.30.1-0ubuntu2) lucid-proposed; urgency=low

  * debian/patches/91_git_fix_unactivated_record_button.patch:
    - backport upstream commit to unactivated record button after recording
      a video (thanks for pointing it Vish) (LP: #587853)

Test case:
1. I test the issue:
   - Record a video
   - Stop recording
Now notice the record/take photo button is not available for recording/ taking photos again.
2. install the new version from -proposed:
3.- Record a video
   - Stop recording
   - trigger again record a video button which should now be available.

Didier Roche (didrocks) wrote :

(the diff is only the patch above + changelog)

John Dong (jdong) wrote :

Idon't have the powers to mark the nomination as accepted for Lucid, but the patch in the queue looks good. Consider this an ACK.

Didier Roche (didrocks) on 2010-09-11
Changed in cheese (Ubuntu Lucid):
status: New → Triaged
importance: Undecided → Low

Accepted cheese into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in cheese (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: added: verification-needed
Changed in cheese:
importance: Unknown → Medium
Vish (vish) wrote :

Upgraded cheese (2.30.1-0ubuntu1) to 2.30.1-0ubuntu2 , and now the button works .
It gets activated after stopping recording. And able to do subsequent recordings.

tags: added: verification-done
removed: verification-needed
Didier Roche (didrocks) wrote :

revert the maverick one as it was only in 2..31.91 and not 2.31.90. Will upload 2.31.92 now.

Changed in cheese (Ubuntu):
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cheese - 2.31.92-0ubuntu1

---------------
cheese (2.31.92-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - camera: emit video-saved signal by name in gst threads
    Static camera_signals array is not initizialized in the gstreamer thread
    so we get a critical assertion failed (signal_id > 0) if we emit by id.
    This should workaround the issue. (LP: #587853)
    - Added/Updated Translations
 -- Didier Roche <email address hidden> Mon, 20 Sep 2010 15:21:15 +0200

Changed in cheese (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cheese - 2.30.1-0ubuntu2

---------------
cheese (2.30.1-0ubuntu2) lucid-proposed; urgency=low

  * debian/patches/91_git_fix_unactivated_record_button.patch:
    - backport upstream commit to unactivated record button after recording
      a video (thanks for pointing it Vish) (LP: #587853)
 -- Didier Roche <email address hidden> Fri, 03 Sep 2010 11:21:30 +0200

Changed in cheese (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.